---
title: "Bring a Trailer API: Auctions Search | Perceptlayer"
description: "Auctions Search from Bring a Trailer as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/bring-a-trailer/auctions-search
---

[APIs](https://perceptlayer.com/apis) / [Bring a Trailer](https://perceptlayer.com/apis/bring-a-trailer) / Auctions Search

# Bring a Trailer: Auctions Search

Auctions Search from Bring a Trailer as JSON. 1 credit per successful call.

GET `/v1/bring-a-trailer/auctions-search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `auction_status` | string | Optional | active, past |
| `sale_status` | string | Optional | sold, unsold |
| `sort` | string | Optional | ta, td, ba, bd, vd |
| `page` | integer | Optional | Any |
| `per_page` | integer | Optional | Any |
| `make_or_model` | string | Optional | Up to 255 characters |
| `category` | string | Optional | Up to 255 characters |
| `era` | string | Optional | Up to 32 characters |
| `origin` | string | Optional | Up to 255 characters |
| `location_country` | string | Optional | Up to 255 characters |
| `minimum_year` | integer | Optional | Any |
| `maximum_year` | integer | Optional | Any |
| `minimum_bid` | integer | Optional | Any |
| `maximum_bid` | integer | Optional | Any |
| `auction_type` | string | Optional | premium, no-reserve, alumni |
| `range` | string | Optional | 7D, 30D, 1Y, 2Y, 5Y |
| `zip_code` | string | Optional | Up to 16 characters |
| `user_lat` | number | Optional | Any |
| `user_lon` | number | Optional | Any |
| `maximum_distance` | integer | Optional | Any |
| `s` | string | Optional | Up to 255 characters |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/bring-a-trailer/auctions-search?auction_status=active&sort=ta&per_page=2" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/bring-a-trailer?try=auctions-search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
